# $Id$
# Authority: dag

Summary: Authenticated RSS alerts for nagios
Name: rss4nagios
Version: 1.0
Release: 1.rf
License: GPL
Group: Applications/System
URL: http://altinity.blogs.com/dotorg/2006/07/lessons_in_rss.html

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source0: http://altinity.blogs.com/dotorg/rss4nagios-%{version}.tar.gz
Patch0: rpm-compat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
Requires: nagios >= 2.1
Requires: perl(XML::RSS)

%description
Authenticated RSS alerts for nagios as an alternate contact method.

%prep
%setup
%patch0 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 rss.cfg.in %{buildroot}%{_sysconfdir}/nagios/rss.cfg
%{__install} -Dp -m0755 rss-multiuser %{buildroot}%{_libdir}/nagios/plugins/rss-multiuser
%{__install} -Dp -m0755 rss.cgi %{buildroot}%{_libdir}/nagios/cgi/rss.cgi

%{__install} -dp -m0755 %{buildroot}%{_localstatedir}/log/nagios/rss/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING README
%dir %{_libdir}/nagios/
%dir %{_libdir}/nagios/cgi/
%{_libdir}/nagios/cgi/rss.cgi
%dir %{_libdir}/nagios/plugins/
%{_libdir}/nagios/plugins/rss-multiuser

%defattr(-, nagios, nagios, 0755)
%dir %{_sysconfdir}/nagios/
%config(noreplace) %{_sysconfdir}/nagios/rss.cfg

%defattr(-, nagios, apache, 2755)
%dir %{_localstatedir}/log/
%dir %{_localstatedir}/log/nagios/
%{_localstatedir}/log/nagios/rss/

%changelog
* Fri Jul 7 2006 Jim Perrin <jperrin@centos.org> - 1.0-1 - +/
- Initial packaging
